Subject: Re: bug#16007: admin/charsets/mule-charsets.el requires old Emacs version

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Dec 2013 18:36:28 +0200

> From: Kenichi Handa <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Mon, 02 Dec 2013 23:29:49 +0900
> 
> In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:
> 
> > > The charsets etc/charsets/MULE*.map are generated files, produced by
> > > admin/charsets/mule-charsets.el. But this requires Emacs 21.3 or 22,
> > > it does not work with modern Emacs.  Therefore Emacs cannot
> > > self-bootstrap without an old Emacs around. I think this is a problem.
> 
> They were surely generated using an emacs of older version.
> But, I don't think we must re-generate them on
> self-boostrapping Emacs.  The map files are already there as
> well as the other map files copied from some internet
> sites.
> 
> > Mostly fixed in trunk revision 115303.
> 
> Emacs 23/24 is built with those maps.  Thus generating those
> maps by Emacs 23/24 is nonsense.

But we are just one step away of having mule-charsets.el DTRT in Emacs
24 as well.  Is the effort of making it work with MULE-is13194.map is
so significant?  Can you tell me what needs to be done to support that
charset?  I'll then code that myself.  Who knows, we might need this
some day, even if that day is far away.

TIA